export default class ModelDeploy {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/list', 'post', params, axiosOption, httpOption);
  }
          
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/view', 'get', params, axiosOption, httpOption);
  }
          
  static export (sender, params, fileName) {
    return sender.download('/admin/app/modelDeploy/export', params, fileName);
  }
          
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/add', 'post', params, axiosOption, httpOption);
  }
          
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/update', 'post', params, axiosOption, httpOption);
  }
          
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/delete', 'post', params, axiosOption, httpOption);
  }
}
